﻿package meyermike.script.step
{
    import meyermike.script.Step;
    /**
     * Step to just make it wait N beats
     * @author Mike Meyer
     */
    public class Wait extends Step
    {
        private var mBeatsToWait:Number;
        private var mCountDown:Number;

        public function Wait(beatsToWait:Number=1)
        {
            mBeatsToWait = beatsToWait;
            mCountDown = beatsToWait;
        }

        public override function Execute():Boolean
        {
            --mCountDown;

            return (mCountDown <= 0);
        }

        /**
         * Go back to the beginning
         */
        public override function Restart():void
        {
            mCountDown = mBeatsToWait;
        }
    }

}
