﻿package meyermike.gamespecific
{
    import flash.ui.Keyboard;

    /**
     * ...
     * @author Mike Meyer
     */
    public class Constants
    {
        public static const GRAVITY:Number = 2000;

        public static const PLAYER_WALK_MAX_SPEED:Number = 300;
        public static const PLAYER_AIR_ACCEL:Number = PLAYER_WALK_MAX_SPEED * 2.0;
        public static const PLAYER_WALK_ACCEL:Number = PLAYER_WALK_MAX_SPEED * 2.0;
        public static const PLAYER_STOP_ACCEL:Number = PLAYER_WALK_MAX_SPEED * 5.0;
        public static const PLAYER_JUMP_SPEED:Number = 700;
        public static const PLAYER_JUMP_STOP_ACCEL:Number = PLAYER_JUMP_SPEED * 5.0;
        public static const NUM_AIR_JUMPS:Number = 0;

        // keys you can use to jump
        public static const JUMP_KEYS:Array = [Keyboard.SPACE, Keyboard.SHIFT, 90];
        // keys you can use for... actions
        public static const ACTION_KEYS:Array = [Keyboard.CONTROL, 88];

        public static const MOVE_LEFT_KEY:Number = Keyboard.LEFT;
        public static const MOVE_RIGHT_KEY:Number = Keyboard.RIGHT;
        public static const MOVE_UP_KEY:Number = Keyboard.UP;
        public static const MOVE_DOWN_KEY:Number = Keyboard.DOWN;

        public static const FONT_COLOR:Number = 0xFFFFFF;
        public static const HIGHLIGHT_COLOR:Number = 0xFFFF00;
        public static const LOADING_BAR_COLOR:Number = FONT_COLOR;

        public static const TILE_SIZE:Number = 32;

        [Embed(source = '../../../assets/Fonts/DisposableDroidBB.ttf', fontFamily='Droid')]
        private static var _font:Class;

        public static const GAME_FONT:String = "Droid";

        public static const SECONDS_BETWEEN_ITEMS:Number = 5;

        public static const TILE_SCROLL_RATE:Number = 1.5;

        public static const PAUSE_SCREEN_COLOR:Number       = 0x000000;
        public static const PAUSE_SCREEN_FONT_COLOR:Number  = 0xFFFFFF;
        public static const PAUSE_SCREEN_ALPHA:Number       = 0.75;

        public static const MAX_COINS:Number = 10;
    }
}
